const path = require('path')
const webpack = require('webpack')
const devConfig = require('./webpack.config')
const HtmlWebpackPlugin = require('html-webpack-plugin')

const ASSET_PATH = process.env.ASSET_PATH || '/dist'

module.exports = Object.assign(devConfig, {
  entry: './src/index.js',
  output: Object.assign(devConfig.output, {
    path: path.resolve(__dirname, 'dist/'),
    filename: '[name].[chunkhash].js',
    publicPath: ASSET_PATH,
  }),
  module: {
    rules: [
      ...devConfig.module.rules,
    ]
  },
  mode: 'production',
  devtool: 'none',
  plugins: [
    new HtmlWebpackPlugin(
      {
        filename: './index.html',
        template: './src/index.html'
      }
    ),
  ]
})
